#
# spec file for package taglib-sharp (Version 2.0.3.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           taglib-sharp
AutoReqProv:    on
License:        LGPL v2.1 or later
Group:          Development/Languages/Mono
Summary:        Multimedia metadata reading/writing library for popular formats
Url:            http://taglib-sharp.com
Version:        2.0.3.2
Release:        0.1.1
Source0:        %{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  mono-devel
%if 0%{?fedora_version}
%define env_options export MONO_SHARED_DIR=/tmp
%endif

%description
TagLib# is a metadata or "tag" reader and writer library that supports
the most common movie and music formats, abstracting away format
specificity. TagLib# offers either a common API for all formats or
access to specific APIs for a given format.



Authors:
--------
    Brian Nickel <brian.nickel@gmail.com>
    Aaron Bockover <abockover@novell.com>

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %_prefix/lib/mono/taglib-sharp
%dir %_prefix/lib/mono/gac/taglib-sharp
%dir %_prefix/lib/mono/gac/taglib-sharp/%{version}__db62eba44689b5b0
%dir %_prefix/lib/mono/gac/policy.2.0.taglib-sharp
%dir %_prefix/lib/mono/gac/policy.2.0.taglib-sharp/0.0.0.0__db62eba44689b5b0
%_prefix/share/pkgconfig/taglib-sharp.pc
%_prefix/lib/mono/gac/taglib-sharp/*/*.dll*
%_prefix/lib/mono/gac/policy.2.0.taglib-sharp/*/*
%_prefix/lib/mono/taglib-sharp/taglib-sharp.dll

%prep
%setup -q

%build
%{?env_options}
./configure --prefix=/usr --disable-docs
make

%install
%{?env_options}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Feb 16 2009 gburt@suse.de
- Update to version 2.0.3.2
* Tue Jan 20 2009 abockover@novell.com
- Update to version 2.0.3.1 which rolls in previous patches since
  the 2.0.3.0 release from a year ago (bgo#564182, bgo#532561)
* Fri Dec 19 2008 gburt@suse.de
- Patch to fix bug with parsing of ID3v2 headers that have the tag-wide
  Unsychronized flag set like some amazonmp3 files (bgo#564182)
* Thu Nov  6 2008 gburt@suse.de
- Fix bug caused by redundant attribute from patch
* Mon Oct 27 2008 gburt@suse.de
- Merge changes from openSUSE:Factory project
* Sun Oct 26 2008 gburt@suse.de
- Fixes bgo#532561 (recognize oga/ogv extensions)
* Sun Jan 27 2008 abockover@suse.de
- Initial checkin of taglib-sharp
- Version 2.0.3.0
- Provides tag reading and writing for Banshee and other Mono applications
- Supports all major metadata/container and audio/video formats
